Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

Openerp7.0运行服务器端报错的问题,请大侠帮忙,谢谢!



  • C:\Python27\python.exe E:/openerp/openerp-7.0-latest/openerp-7.0-20130717-231254/openerp-server
    2016-04-16 15:37:50,141 8808 INFO ? openerp: OpenERP version 7.0-20130717-231254
    2016-04-16 15:37:50,141 8808 INFO ? openerp: addons paths: E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database hostname: localhost
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database port: 5432
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database user: openerp
    2016-04-16 15:37:50,891 8808 CRITICAL ? openerp.modules.module: Couldn't load module web
    2016-04-16 15:37:50,891 8808 CRITICAL ? openerp.modules.module: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
    2016-04-16 15:37:50,891 8808 ERROR ? openerp.service: Failed to load server-wide module web.
    The web module is provided by the addons found in the openerp-web project.
    Maybe you forgot to add those addons in your addons_path configuration.
    Traceback (most recent call last):
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\service_init_.py", line 60, in load_server_wide_modules
        openerp.modules.module.load_openerp_module(m)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\modules\module.py", line 405, in load_openerp_module
        import('openerp.addons.' + module_name)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\modules\module.py", line 133, in load_module
        mod = imp.load_module('openerp.addons.' + module_part, f, path, descr)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web_init_.py", line 3, in <module>
        import cli
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\cli_init_.py", line 1, in <module>
        import test_js
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\cli\test_js.py", line 8, in <module>
        import openerp.addons.web.tests
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\tests_init_.py", line 2, in <module>
        from . import test_dataset, test_menu, test_serving_base, test_js
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\tests\test_dataset.py", line 2, in <module>
        import mock
      File "C:\Python27\lib\site-packages\mock_init_.py", line 2, in <module>
        import mock.mock as _mock
      File "C:\Python27\lib\site-packages\mock\mock.py", line 71, in <module>
        _v = VersionInfo('mock').semantic_version()
      File "C:\Python27\lib\site-packages\pbr\version.py", line 460, in semantic_version
        self._semantic = self._get_version_from_pkg_resources()
      File "C:\Python27\lib\site-packages\pbr\version.py", line 447, in _get_version_from_pkg_resources
        result_string = packaging.get_version(self.package)
      File "C:\Python27\lib\site-packages\pbr\packaging.py", line 710, in get_version
        raise Exception("Versioning for this project requires either an sdist"
    Exception: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
    2016-04-16 15:37:50,931 8808 INFO ? openerp: OpenERP server is running, waiting for connections...
    2016-04-16 15:37:50,951 8808 INFO ? openerp.service.wsgi_server: HTTP service (werkzeug) running on 0.0.0.0:8069



  • C:\Python27\python.exe E:/openerp/openerp-7.0-latest/openerp-7.0-20130717-231254/openerp-server
    2016-04-16 15:37:50,141 8808 INFO ? openerp: OpenERP version 7.0-20130717-231254
    2016-04-16 15:37:50,141 8808 INFO ? openerp: addons paths: E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database hostname: localhost
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database port: 5432
    2016-04-16 15:37:50,142 8808 INFO ? openerp: database user: openerp
    2016-04-16 15:37:50,891 8808 CRITICAL ? openerp.modules.module: Couldn't load module web
    2016-04-16 15:37:50,891 8808 CRITICAL ? openerp.modules.module: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
    2016-04-16 15:37:50,891 8808 ERROR ? openerp.service: Failed to load server-wide module web.
    The web module is provided by the addons found in the openerp-web project.
    Maybe you forgot to add those addons in your addons_path configuration.
    Traceback (most recent call last):
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\service_init_.py", line 60, in load_server_wide_modules
        openerp.modules.module.load_openerp_module(m)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\modules\module.py", line 405, in load_openerp_module
        import('openerp.addons.' + module_name)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\modules\module.py", line 133, in load_module
        mod = imp.load_module('openerp.addons.' + module_part, f, path, descr)
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web_init_.py", line 3, in <module>
        import cli
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\cli_init_.py", line 1, in <module>
        import test_js
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\cli\test_js.py", line 8, in <module>
        import openerp.addons.web.tests
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\tests_init_.py", line 2, in <module>
        from . import test_dataset, test_menu, test_serving_base, test_js
      File "E:\openerp\openerp-7.0-latest\openerp-7.0-20130717-231254\openerp\addons\web\tests\test_dataset.py", line 2, in <module>
        import mock
      File "C:\Python27\lib\site-packages\mock_init_.py", line 2, in <module>
        import mock.mock as _mock
      File "C:\Python27\lib\site-packages\mock\mock.py", line 71, in <module>
        _v = VersionInfo('mock').semantic_version()
      File "C:\Python27\lib\site-packages\pbr\version.py", line 460, in semantic_version
        self._semantic = self._get_version_from_pkg_resources()
      File "C:\Python27\lib\site-packages\pbr\version.py", line 447, in _get_version_from_pkg_resources
        result_string = packaging.get_version(self.package)
      File "C:\Python27\lib\site-packages\pbr\packaging.py", line 710, in get_version
        raise Exception("Versioning for this project requires either an sdist"
    Exception: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
    2016-04-16 15:37:50,931 8808 INFO ? openerp: OpenERP server is running, waiting for connections...
    2016-04-16 15:37:50,951 8808 INFO ? openerp.service.wsgi_server: HTTP service (werkzeug) running on 0.0.0.0:8069


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待